Rated 5 out of 5 stars

When you upgrade to Version 4

This review is for a previous version of the add-on (0.1). 

A new version has been released, it's now compatible with FireFox 4.0.*.